[arch-commits] Commit in cdparanoia/trunk (ChangeLog PKGBUILD)

Alexander Fehr alexanderf at archlinux.org
Fri Aug 8 11:38:44 EDT 2008


    Date: Friday, August 8, 2008 @ 11:38:44
  Author: alexanderf
Revision: 8178

upgpkg: cdparanoia 10.1-1

Modified:
  cdparanoia/trunk/ChangeLog
  cdparanoia/trunk/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |   16 +++++++---------
 2 files changed, 14 insertions(+), 9 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-08-08 15:36:13 UTC (rev 8177)
+++ ChangeLog	2008-08-08 15:38:44 UTC (rev 8178)
@@ -1,3 +1,10 @@
+2008-08-07  Alexander Fehr  <pizzapunk gmail com>
+
+  * cdparanoia-10.1-1:
+  New upstream release.
+  Changed license to GPL.
+  Added !makeflags option.
+
 2008-07-07  Alexander Fehr  <pizzapunk gmail com>
 
   * cdparanoia-10.0-1:

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-08 15:36:13 UTC (rev 8177)
+++ PKGBUILD	2008-08-08 15:38:44 UTC (rev 8178)
@@ -2,23 +2,21 @@
 # Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=cdparanoia
-pkgver=10.0
+pkgver=10.1
 pkgrel=1
 pkgdesc="Compact Disc Digital Audio extraction tool"
 arch=('i686' 'x86_64')
-url="http://xiph.org/paranoia/"
-license=('GPL3')
+url="http://www.xiph.org/paranoia/"
+license=('GPL')
 depends=('glibc')
-options=(!makeflags)
+options=('!makeflags')
 source=(http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-$pkgver.src.tgz)
-md5sums=('03a1aba5cf45ce7b83389d442a275acf')
+md5sums=('abf410217c4ba42f927bfd9d7b86e163')
 
 build() {
   cd "$srcdir/cdparanoia-III-$pkgver"
-  ./configure --prefix=/usr || return 1
 
-  sed -i 's|${prefix}/man|${prefix}/share/man|' Makefile
-
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix="$pkgdir/usr" install || return 1
+  make prefix="$pkgdir/usr" MANDIR="$pkgdir/usr/share/man" install || return 1
 }




More information about the arch-commits mailing list